Subject: [Unbearable] TLS 1.3 support for Token Binding

From: Nick Harper <[email-masked]>
Date: Wed, 28 Jun 2017 15:37:24 -0700

draft-ietf-tokbind-tls13-0rtt is defining how Token Binding can work
on 0-RTT connections, but so far this WG doesn't have anything
defining how Token Binding should work in TLS 1.3 on connections
without early data. I'm fine adding that to
draft-ietf-tokbind-tls13-0rtt, but I think it would be better suited
to be in a separate draft. (A separate draft would allow those who
don't care for 0-RTT Token Binding to completely ignore it when
implementing Token Binding for TLS 1.3.)

Here's what I think needs to be in a TLS 1.3 Token Binding draft:
- negotiation extension goes in EncryptedExtensions instead of ServerHello
- clarify definition of exporter using TLS 1.3 terminology instead of
RFC 5705 terminology
- define some behavior for the interaction of the TB negotiation
extension with 0-RTT (in this draft, it would be "don't use TB with
0-RTT")

Do other WG members think we need a separate draft for that?